Loading...
Searching...
No Matches
Magick::ColorYUV Class Reference
Inheritance diagram for Magick::ColorYUV:

## Public Member Functions

| ColorYUV (const Color &color_)
| ColorYUV (const double y_, const double u_, const double v_)
ColorYUV & | operator= (const Color &color_)
void | u (const double u_)
double | u (void) const
void | v (const double v_)
double | v (void) const
void | y (const double y_)
double | y (void) const
Public Member Functions inherited from Magick::Color
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_, const Magick::Quantum alpha_)
| Color (const Magick::Quantum cyan_, const Magick::Quantum magenta_, const Magick::Quantum yellow_, const Magick::Quantum black_, const Magick::Quantum alpha_)
| Color (const char *color_)
| Color (const Color &color_)
| Color (const PixelInfo &color_)
| Color (const std::string &color_)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *color)
const Color & | operator= (const PixelInfo &color_)
const Color & | operator= (const std::string &color)
| operator PixelInfo () const
| operator std::string () const
bool | isFuzzyEquivalent (const Color &color_, const double fuzz_) const
void | isValid (const bool valid_)
bool | isValid (void) const
Magick::Color::PixelType | pixelType (void) const
void | quantumAlpha (const Quantum alpha_)
Quantum | quantumAlpha (void) const
void | quantumBlack (const Quantum black_)
Quantum | quantumBlack (void) const
void | quantumBlue (const Quantum blue_)
Quantum | quantumBlue (void) const
void | quantumGreen (const Quantum green_)
Quantum | quantumGreen (void) const
void | quantumRed (const Quantum red_)
Quantum | quantumRed (void) const

## Protected Member Functions

| ColorYUV (PixelInfo *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelInfo *rep_, PixelType pixelType_)
| Color (PixelType pixelType_)
void | pixel (PixelInfo *rep_, PixelType pixelType_)

## Private Member Functions

void | convert (const double y_, const double u_, const double v_)

## Additional Inherited Members

Public Types inherited from Magick::Color
enum | PixelType { CMYKPixel , CMYKAPixel , RGBPixel , RGBAPixel }
Static Protected Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Attributes inherited from Magick::Color
PixelInfo * | _pixel

## Detailed Description

Definition at line 403 of file Color.h.

## Constructor & Destructor Documentation

## ColorYUV() [1/4]

Magick::ColorYUV::ColorYUV | ( | void |  | ) |

Definition at line 866 of file Color.cpp.

: Color(RGBPixel)
{
}

## ColorYUV() [2/4]

Magick::ColorYUV::ColorYUV | ( | const Color & | color_ | ) |

Definition at line 871 of file Color.cpp.

: Color(color_)
{
}

## ColorYUV() [3/4]

Magick::ColorYUV::ColorYUV | ( | const double | y_,
|  | const double | u_,
|  | const double | v_ )

Definition at line 876 of file Color.cpp.

: Color(RGBPixel)
{
convert(y_, u_, v_);
}

## ~ColorYUV()

Magick::ColorYUV::~ColorYUV | ( | void |  | ) |

Definition at line 882 of file Color.cpp.

{
}

## ColorYUV() [4/4]

Magick::ColorYUV::ColorYUV | ( | PixelInfo * | rep_,
|  | PixelType | pixelType_ )

protected

Definition at line 935 of file Color.cpp.

: Color(rep_,pixelType_)
{
}

## Member Function Documentation

## convert()

void Magick::ColorYUV::convert | ( | const double | y_,
|  | const double | u_,
|  | const double | v_ )

private

Definition at line 928 of file Color.cpp.

{
quantumRed(scaleDoubleToQuantum(y_ + 1.13980 * v_));
quantumGreen(scaleDoubleToQuantum(y_ - (0.39380 * u_) - (0.58050 * v_)));
quantumBlue(scaleDoubleToQuantum(y_ + 2.02790 * u_));
}

## operator=()

Magick::ColorYUV & Magick::ColorYUV::operator= | ( | const Color & | color_ | ) |

Definition at line 886 of file Color.cpp.

{
*static_cast<Magick::Color*>(this)=color_;
return(*this);
}

## u() [1/2]

void Magick::ColorYUV::u | ( | const double | u_ | ) |

Definition at line 892 of file Color.cpp.

{
convert(y(), u_, v());
}

## u() [2/2]

double Magick::ColorYUV::u | ( | void |  | ) | const

Definition at line 897 of file Color.cpp.

{
return(scaleQuantumToDouble((Magick::Quantum) ((-0.14740 *
(double) quantumRed()) - (0.28950 * (double) quantumGreen()) + (0.43690 *
(double) quantumBlue()))));
}

## v() [1/2]

void Magick::ColorYUV::v | ( | const double | v_ | ) |

Definition at line 904 of file Color.cpp.

{
convert(y(), u(), v_);
}

## v() [2/2]

double Magick::ColorYUV::v | ( | void |  | ) | const

Definition at line 909 of file Color.cpp.

{
return(scaleQuantumToDouble((Magick::Quantum) ((0.61500 *
(double) quantumRed()) - (0.51500 * (double) quantumGreen()) - (0.10000 *
(double) quantumBlue()))));
}

## y() [1/2]

void Magick::ColorYUV::y | ( | const double | y_ | ) |

Definition at line 916 of file Color.cpp.

{
convert(y_, u(), v());
}

## y() [2/2]

double Magick::ColorYUV::y | ( | void |  | ) | const

Definition at line 921 of file Color.cpp.

{
return(scaleQuantumToDouble((Magick::Quantum) ((0.29900 *
(double) quantumRed()) + (0.58700 * (double) quantumGreen()) + (0.11400 *
(double) quantumBlue()))));
}

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp